Subject: IETF last call on draft-hansen-2717bis-2718bis-uri-guidelines-05: The practical case of SMS and MMS URI schemes

From: [email-masked]
Date: Thu, 1 Sep 2005 01:46:37 +0300

Hi,

I did a review on 'Guidelines and Registration Procedures for new URI Schemes', draft-hansen-2717bis-2718bis-uri-guidelines-05, for which the IETF last call is on until today (sorry for leaving this so late).

My main goal was to see whether the new process would make it sufficiently clear for other standards organizations to get URI schemes for their protocols/technologies registered. This has been a problem so far. For instance OMA and ETSI have for a long time tried to get URI schemes for Multimedia Message Service (MMS) and Short Message Service (SMS) registered, but this has proven to be impossible due to the vagueness of the existing procedures.

I think the draft is doing a good job addressing this issue. A couple of points were raised, however, by people working on the current MMS and SMS URI scheme definitions, for which I did not find an obvious answer in the draft. 

The first one may be trivial, but still causing practical problems:
- If the provisional registration of the URI scheme is done in a format of an Internet-Draft (such as http://www.ietf.org/internet-drafts/draft-wilde-sms-uri-10.txt), is there a need to keep updating the draft forever as a reference, or can IANA use the (contents of the) draft as a reference even if it has been expired?

The second one is more profound question about the criteria for getting a permanent registration:
- The criteria for getting a permanent registration are understandably somewhat vague, since there are no precedents. Obviously the people working on SMS and MMS would (eventually) hope for a registration with a permanent status. My guess was that SMS and MMS are definitely so ubiquitously used utilities, that they would easily cross the bar set by section 2.1. But I guess this depends on how liberal or strict the IESG is going to be with this.

Otherwise I did not find any issues with the draft, and I think it is ready for approval and I truly welcome getting this new process in place.

Regards,
	Markus   

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf